com.smartgwt.client.widgets.chart

## Class DrawnValue

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.chart.DrawnValue

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class DrawnValue
      extends DataClass

  Returns information about how a data value is rendered in a chart.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawnValue()`
    `DrawnValue(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getBarThickness()` For bar and column charts, thickness of the bar representing this data value.
    `java.lang.Integer` | `getEndAngle()` For pie mode only, start angle of the segment for the data value.
    `FacetValueMap` | `getFacetValues()` FacetValues for the data value.
    `static DrawnValue` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Double` | `getRadius()` For pie mode only, the radius of the segment for the data value.
    `Record` | `getRecord()` The data record of the data point from which this `drawnValue` was created.
    `java.lang.Integer` | `getStartAngle()` For pie mode only, start angle of the segment for the data value.
    `java.lang.Float` | `getValue()` Deprecated. `GwtFloatVsDouble`
    `java.lang.Double` | `getValueAsDouble()` Data value this `drawnValue` represents.
    `java.lang.Integer` | `getX()` X coordinate where the data value is rendered.
    `java.lang.Integer` | `getY()` Y coordinate where the data value is rendered.
    `void` | `setBarThickness(java.lang.Integer barThickness)` For bar and column charts, thickness of the bar representing this data value.
    `void` | `setEndAngle(java.lang.Integer endAngle)` For pie mode only, start angle of the segment for the data value.
    `void` | `setFacetValues(FacetValueMap facetValues)` FacetValues for the data value.
    `void` | `setRadius(java.lang.Double radius)` For pie mode only, the radius of the segment for the data value.
    `void` | `setRecord(Record record)` The data record of the data point from which this `drawnValue` was created.
    `void` | `setStartAngle(java.lang.Integer startAngle)` For pie mode only, start angle of the segment for the data value.
    `void` | `setValue(java.lang.Double value)` Data value this `drawnValue` represents.
    `void` | `setValue(java.lang.Float value)` Deprecated. `GwtFloatVsDouble`
    `void` | `setX(java.lang.Integer x)` X coordinate where the data value is rendered.
    `void` | `setY(java.lang.Integer y)` Y coordinate where the data value is rendered.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawnValue

          public DrawnValue()

    - #### DrawnValue

          public DrawnValue(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DrawnValue getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBarThickness

          public void setBarThickness(java.lang.Integer barThickness)

      For bar and column charts, thickness of the bar representing this data value.
      Parameters:
        `barThickness` - New barThickness value. Default value is null

    - #### getBarThickness

          public java.lang.Integer getBarThickness()

      For bar and column charts, thickness of the bar representing this data value.
      Returns:
        Current barThickness value. Default value is null

    - #### setEndAngle

          public void setEndAngle(java.lang.Integer endAngle)

      For pie mode only, start angle of the segment for the data value.
      Parameters:
        `endAngle` - New endAngle value. Default value is null

    - #### getEndAngle

          public java.lang.Integer getEndAngle()

      For pie mode only, start angle of the segment for the data value.
      Returns:
        Current endAngle value. Default value is null

    - #### setFacetValues

          public void setFacetValues(FacetValueMap facetValues)

      FacetValues for the data value.
      Parameters:
        `facetValues` - New facetValues value. Default value is null

    - #### getFacetValues

          public FacetValueMap getFacetValues()

      FacetValues for the data value.
      Returns:
        Current facetValues value. Default value is null

    - #### setRadius

          public void setRadius(java.lang.Double radius)

      For pie mode only, the radius of the segment for the data value.
      Parameters:
        `radius` - New radius value. Default value is null

    - #### getRadius

          public java.lang.Double getRadius()

      For pie mode only, the radius of the segment for the data value.
      Returns:
        Current radius value. Default value is null

    - #### setRecord

          public void setRecord(Record record)

      The data record of the data point from which this `drawnValue` was created.

      Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

      Parameters:
        `record` - New record value. Default value is null

    - #### getRecord

          public Record getRecord()

      The data record of the data point from which this `drawnValue` was created.

      Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

      Returns:
        Current record value. Default value is null

    - #### setStartAngle

          public void setStartAngle(java.lang.Integer startAngle)

      For pie mode only, start angle of the segment for the data value.
      Parameters:
        `startAngle` - New startAngle value. Default value is null

    - #### getStartAngle

          public java.lang.Integer getStartAngle()

      For pie mode only, start angle of the segment for the data value.
      Returns:
        Current startAngle value. Default value is null

    - #### setValue

          public void setValue(java.lang.Float value)

      Deprecated. `GwtFloatVsDouble`
      Data value this `drawnValue` represents.
      Parameters:
        `value` - New value value. Default value is null

    - #### getValue

          public java.lang.Float getValue()

      Deprecated. `GwtFloatVsDouble`
      Data value this `drawnValue` represents.
      Returns:
        Current value value. Default value is null

    - #### setValue

          public void setValue(java.lang.Double value)

      Data value this `drawnValue` represents.
      Parameters:
        `value` - New value value. Default value is null

    - #### getValueAsDouble

          public java.lang.Double getValueAsDouble()

      Data value this `drawnValue` represents.
      Returns:
        Current value value. Default value is null

    - #### setX

          public void setX(java.lang.Integer x)

      X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
      Parameters:
        `x` - New x value. Default value is null

    - #### getX

          public java.lang.Integer getX()

      X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
      Returns:
        Current x value. Default value is null

    - #### setY

          public void setY(java.lang.Integer y)

      Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
      Parameters:
        `y` - New y value. Default value is null

    - #### getY

          public java.lang.Integer getY()

      Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
      Returns:
        Current y value. Default value is null